---
Fuzzer filename: '/src/auth_fuzzer.c'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/auth_fuzzer.c'
      linkageType:     externalLinkage
      functionLinenumber: 26
      functionLinenumberEnd: 46
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         9
      ICount:          61
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - Base64Decode
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'auth_fuzzer.c:39,5'
          Dst:             Base64Decode
    - functionName:    iperf_getpass
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 439
      functionLinenumberEnd: 469
      functionDepth:   0
      returnType:      size_t
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         18
      ICount:          121
      EdgeCount:       23
      CyclomaticComplexity: 7
      functionsReached:
        - fileno
        - getline
        - printf
        - tcgetattr
        - tcsetattr
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:444,20'
          Dst:             fileno
        - Src:             'src/iperf_auth.c:444,9'
          Dst:             tcgetattr
        - Src:             'src/iperf_auth.c:448,20'
          Dst:             fileno
        - Src:             'src/iperf_auth.c:448,9'
          Dst:             tcsetattr
        - Src:             'src/iperf_auth.c:452,5'
          Dst:             printf
        - Src:             'src/iperf_auth.c:453,13'
          Dst:             getline
        - Src:             'src/iperf_auth.c:456,23'
          Dst:             fileno
        - Src:             'src/iperf_auth.c:456,12'
          Dst:             tcsetattr
    - functionName:    fileno
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tcgetattr
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    tcsetattr
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - int
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    printf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    getline
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    decode_auth_setting
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 389
      functionLinenumberEnd: 435
      functionDepth:   0
      returnType:      int
      argCount:        7
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         15
      ICount:          144
      EdgeCount:       20
      CyclomaticComplexity: 7
      functionsReached:
        - Base64Decode
        - CRYPTO_free
        - __isoc99_sscanf
        - calloc
        - decrypt_rsa_message
        - printf
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:393,5'
          Dst:             Base64Decode
        - Src:             'src/iperf_auth.c:397,21'
          Dst:             decrypt_rsa_message
        - Src:             'src/iperf_auth.c:406,27'
          Dst:             calloc
        - Src:             'src/iperf_auth.c:408,9'
          Dst:             CRYPTO_free
        - Src:             'src/iperf_auth.c:411,27'
          Dst:             calloc
        - Src:             'src/iperf_auth.c:413,9'
          Dst:             CRYPTO_free
        - Src:             'src/iperf_auth.c:418,14'
          Dst:             __isoc99_sscanf
        - Src:             'src/iperf_auth.c:420,9'
          Dst:             CRYPTO_free
        - Src:             'src/iperf_auth.c:427,9'
          Dst:             printf
        - Src:             'src/iperf_auth.c:428,9'
          Dst:             printf
        - Src:             'src/iperf_auth.c:433,5'
          Dst:             CRYPTO_free
    - functionName:    Base64Decode
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 141
      functionLinenumberEnd: 156
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          60
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - BIO_f_base64
        - BIO_free_all
        - BIO_new
        - BIO_new_mem_buf
        - BIO_push
        - BIO_read
        - BIO_set_flags
        - calcDecodeLength
        - strlen
      functionUses:    4
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:144,21'
          Dst:             calcDecodeLength
        - Src:             'src/iperf_auth.c:148,11'
          Dst:             BIO_new_mem_buf
        - Src:             'src/iperf_auth.c:149,19'
          Dst:             BIO_f_base64
        - Src:             'src/iperf_auth.c:149,11'
          Dst:             BIO_new
        - Src:             'src/iperf_auth.c:150,11'
          Dst:             BIO_push
        - Src:             'src/iperf_auth.c:152,5'
          Dst:             BIO_set_flags
        - Src:             'src/iperf_auth.c:153,38'
          Dst:             strlen
        - Src:             'src/iperf_auth.c:153,15'
          Dst:             BIO_read
        - Src:             'src/iperf_auth.c:154,5'
          Dst:             BIO_free_all
    - functionName:    decrypt_rsa_message
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 293
      functionLinenumberEnd: 359
      functionDepth:   0
      returnType:      int
      argCount:        5
      argTypes:
        - 'N/A'
        - int
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         18
      ICount:          153
      EdgeCount:       23
      CyclomaticComplexity: 7
      functionsReached:
        - BIO_free
        - BIO_new_mem_buf
        - BIO_read
        - CRYPTO_free
        - CRYPTO_malloc
        - ERR_error_string
        - ERR_get_error
        - EVP_PKEY_CTX_free
        - EVP_PKEY_CTX_new_from_pkey
        - EVP_PKEY_CTX_set_rsa_padding
        - EVP_PKEY_decrypt
        - EVP_PKEY_decrypt_init
        - EVP_PKEY_get_int_param
        - fprintf
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:306,11'
          Dst:             EVP_PKEY_CTX_new_from_pkey
        - Src:             'src/iperf_auth.c:308,10'
          Dst:             EVP_PKEY_get_int_param
        - Src:             'src/iperf_auth.c:317,9'
          Dst:             fprintf
        - Src:             'src/iperf_auth.c:319,19'
          Dst:             CRYPTO_malloc
        - Src:             'src/iperf_auth.c:321,34'
          Dst:             CRYPTO_malloc
        - Src:             'src/iperf_auth.c:323,22'
          Dst:             BIO_new_mem_buf
        - Src:             'src/iperf_auth.c:324,22'
          Dst:             BIO_read
        - Src:             'src/iperf_auth.c:333,5'
          Dst:             EVP_PKEY_decrypt_init
        - Src:             'src/iperf_auth.c:335,11'
          Dst:             EVP_PKEY_CTX_set_rsa_padding
        - Src:             'src/iperf_auth.c:339,11'
          Dst:             EVP_PKEY_decrypt
        - Src:             'src/iperf_auth.c:340,5'
          Dst:             EVP_PKEY_CTX_free
        - Src:             'src/iperf_auth.c:346,5'
          Dst:             CRYPTO_free
        - Src:             'src/iperf_auth.c:347,5'
          Dst:             BIO_free
        - Src:             'src/iperf_auth.c:357,46'
          Dst:             ERR_get_error
        - Src:             'src/iperf_auth.c:357,29'
          Dst:             ERR_error_string
        - Src:             'src/iperf_auth.c:357,5'
          Dst:             fprintf
    - functionName:    calloc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    CRYPTO_free
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    7
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __isoc99_sscanf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    EVP_PKEY_CTX_new_from_pkey
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    EVP_PKEY_get_int_param
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    fprintf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    CRYPTO_malloc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - size_t
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_new_mem_buf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_read
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    EVP_PKEY_decrypt_init
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    EVP_PKEY_CTX_set_rsa_padding
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    EVP_PKEY_decrypt
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    EVP_PKEY_CTX_free
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_free
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    6
      BranchProfiles:  []
      Callsites:       []
    - functionName:    ERR_get_error
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    ERR_error_string
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    calcDecodeLength
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 131
      functionLinenumberEnd: 138
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         16
      ICount:          90
      EdgeCount:       21
      CyclomaticComplexity: 7
      functionsReached:
        - strlen
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:132,18'
          Dst:             strlen
    - functionName:    BIO_f_base64
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_new
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    5
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_push
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_set_flags
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    strlen
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    10
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_free_all
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    encode_auth_setting
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 361
      functionLinenumberEnd: 387
      functionDepth:   0
      returnType:      int
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         8
      ICount:          94
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached:
        - Base64Encode
        - CRYPTO_free
        - calloc
        - encrypt_rsa_message
        - localtime
        - mktime
        - snprintf
        - strlen
        - time
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:362,16'
          Dst:             time
        - Src:             'src/iperf_auth.c:363,33'
          Dst:             localtime
        - Src:             'src/iperf_auth.c:363,26'
          Dst:             mktime
        - Src:             'src/iperf_auth.c:369,26'
          Dst:             strlen
        - Src:             'src/iperf_auth.c:369,53'
          Dst:             strlen
        - Src:             'src/iperf_auth.c:369,72'
          Dst:             strlen
        - Src:             'src/iperf_auth.c:370,27'
          Dst:             calloc
        - Src:             'src/iperf_auth.c:374,5'
          Dst:             snprintf
        - Src:             'src/iperf_auth.c:378,21'
          Dst:             encrypt_rsa_message
        - Src:             'src/iperf_auth.c:383,5'
          Dst:             Base64Encode
        - Src:             'src/iperf_auth.c:384,5'
          Dst:             CRYPTO_free
    - functionName:    time
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    localtime
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    mktime
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    snprintf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    encrypt_rsa_message
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 231
      functionLinenumberEnd: 291
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         15
      ICount:          144
      EdgeCount:       19
      CyclomaticComplexity: 6
      functionsReached:
        - BIO_free
        - BIO_new_mem_buf
        - BIO_read
        - CRYPTO_free
        - CRYPTO_malloc
        - ERR_error_string
        - ERR_get_error
        - EVP_PKEY_CTX_free
        - EVP_PKEY_CTX_new_from_pkey
        - EVP_PKEY_CTX_set_rsa_padding
        - EVP_PKEY_encrypt
        - EVP_PKEY_encrypt_init
        - EVP_PKEY_get_int_param
        - fprintf
        - strlen
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:243,11'
          Dst:             EVP_PKEY_CTX_new_from_pkey
        - Src:             'src/iperf_auth.c:245,10'
          Dst:             EVP_PKEY_get_int_param
        - Src:             'src/iperf_auth.c:253,21'
          Dst:             strlen
        - Src:             'src/iperf_auth.c:255,9'
          Dst:             fprintf
        - Src:             'src/iperf_auth.c:257,19'
          Dst:             CRYPTO_malloc
        - Src:             'src/iperf_auth.c:258,38'
          Dst:             CRYPTO_malloc
        - Src:             'src/iperf_auth.c:261,22'
          Dst:             BIO_new_mem_buf
        - Src:             'src/iperf_auth.c:262,22'
          Dst:             BIO_read
        - Src:             'src/iperf_auth.c:269,5'
          Dst:             EVP_PKEY_encrypt_init
        - Src:             'src/iperf_auth.c:270,5'
          Dst:             EVP_PKEY_CTX_set_rsa_padding
        - Src:             'src/iperf_auth.c:272,5'
          Dst:             EVP_PKEY_encrypt
        - Src:             'src/iperf_auth.c:273,5'
          Dst:             EVP_PKEY_CTX_free
        - Src:             'src/iperf_auth.c:279,5'
          Dst:             CRYPTO_free
        - Src:             'src/iperf_auth.c:280,5'
          Dst:             BIO_free
        - Src:             'src/iperf_auth.c:289,46'
          Dst:             ERR_get_error
        - Src:             'src/iperf_auth.c:289,29'
          Dst:             ERR_error_string
        - Src:             'src/iperf_auth.c:289,5'
          Dst:             fprintf
    - functionName:    Base64Encode
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 113
      functionLinenumberEnd: 128
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          53
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - BIO_ctrl
        - BIO_f_base64
        - BIO_free_all
        - BIO_new
        - BIO_push
        - BIO_s_mem
        - BIO_set_flags
        - BIO_write
        - strndup
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:117,19'
          Dst:             BIO_f_base64
        - Src:             'src/iperf_auth.c:117,11'
          Dst:             BIO_new
        - Src:             'src/iperf_auth.c:118,19'
          Dst:             BIO_s_mem
        - Src:             'src/iperf_auth.c:118,11'
          Dst:             BIO_new
        - Src:             'src/iperf_auth.c:119,11'
          Dst:             BIO_push
        - Src:             'src/iperf_auth.c:121,5'
          Dst:             BIO_set_flags
        - Src:             'src/iperf_auth.c:122,5'
          Dst:             BIO_write
        - Src:             'src/iperf_auth.c:123,5'
          Dst:             BIO_ctrl
        - Src:             'src/iperf_auth.c:124,5'
          Dst:             BIO_ctrl
        - Src:             'src/iperf_auth.c:125,16'
          Dst:             strndup
        - Src:             'src/iperf_auth.c:126,5'
          Dst:             BIO_free_all
    - functionName:    BIO_s_mem
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_write
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_ctrl
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        4
      argTypes:
        - 'N/A'
        - int
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    strndup
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    EVP_PKEY_encrypt_init
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    EVP_PKEY_encrypt
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    test_load_private_key_from_file
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 222
      functionLinenumberEnd: 229
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         6
      ICount:          34
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - EVP_PKEY_free
        - load_privkey_from_file
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:223,21'
          Dst:             load_privkey_from_file
        - Src:             'src/iperf_auth.c:227,5'
          Dst:             EVP_PKEY_free
    - functionName:    load_privkey_from_file
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 186
      functionLinenumberEnd: 197
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         9
      ICount:          45
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - BIO_free
        - BIO_new_file
        - PEM_read_bio_PrivateKey
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:191,13'
          Dst:             BIO_new_file
        - Src:             'src/iperf_auth.c:193,18'
          Dst:             PEM_read_bio_PrivateKey
        - Src:             'src/iperf_auth.c:194,11'
          Dst:             BIO_free
    - functionName:    EVP_PKEY_free
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_new_file
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    PEM_read_bio_PrivateKey
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    test_load_pubkey_from_file
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 213
      functionLinenumberEnd: 220
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         6
      ICount:          34
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - EVP_PKEY_free
        - load_pubkey_from_file
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:214,21'
          Dst:             load_pubkey_from_file
        - Src:             'src/iperf_auth.c:218,5'
          Dst:             EVP_PKEY_free
    - functionName:    load_pubkey_from_file
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 159
      functionLinenumberEnd: 170
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         9
      ICount:          45
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - BIO_free
        - BIO_new_file
        - PEM_read_bio_PUBKEY
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:164,13'
          Dst:             BIO_new_file
        - Src:             'src/iperf_auth.c:166,18'
          Dst:             PEM_read_bio_PUBKEY
        - Src:             'src/iperf_auth.c:167,11'
          Dst:             BIO_free
    - functionName:    PEM_read_bio_PUBKEY
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    load_privkey_from_base64
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 200
      functionLinenumberEnd: 210
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          36
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - BIO_free
        - BIO_new
        - BIO_s_mem
        - BIO_write
        - Base64Decode
        - PEM_read_bio_PrivateKey
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:203,5'
          Dst:             Base64Decode
        - Src:             'src/iperf_auth.c:205,24'
          Dst:             BIO_s_mem
        - Src:             'src/iperf_auth.c:205,16'
          Dst:             BIO_new
        - Src:             'src/iperf_auth.c:206,5'
          Dst:             BIO_write
        - Src:             'src/iperf_auth.c:208,22'
          Dst:             PEM_read_bio_PrivateKey
        - Src:             'src/iperf_auth.c:209,5'
          Dst:             BIO_free
    - functionName:    load_pubkey_from_base64
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 173
      functionLinenumberEnd: 183
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          36
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - BIO_free
        - BIO_new
        - BIO_s_mem
        - BIO_write
        - Base64Decode
        - PEM_read_bio_PUBKEY
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:176,5'
          Dst:             Base64Decode
        - Src:             'src/iperf_auth.c:178,24'
          Dst:             BIO_s_mem
        - Src:             'src/iperf_auth.c:178,16'
          Dst:             BIO_new
        - Src:             'src/iperf_auth.c:179,5'
          Dst:             BIO_write
        - Src:             'src/iperf_auth.c:181,22'
          Dst:             PEM_read_bio_PUBKEY
        - Src:             'src/iperf_auth.c:182,5'
          Dst:             BIO_free
    - functionName:    check_authentication
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 68
      functionLinenumberEnd: 110
      functionDepth:   0
      returnType:      int
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         37
      ICount:          224
      EdgeCount:       49
      CyclomaticComplexity: 14
      functionsReached:
        - fclose
        - fgets
        - fopen
        - localtime
        - mktime
        - sha256
        - snprintf
        - strchr
        - strcmp
        - strlen
        - strtok
        - time
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:69,16'
          Dst:             time
        - Src:             'src/iperf_auth.c:70,33'
          Dst:             localtime
        - Src:             'src/iperf_auth.c:70,26'
          Dst:             mktime
        - Src:             'src/iperf_auth.c:76,17'
          Dst:             strlen
        - Src:             'src/iperf_auth.c:76,36'
          Dst:             strlen
        - Src:             'src/iperf_auth.c:77,5'
          Dst:             snprintf
        - Src:             'src/iperf_auth.c:78,5'
          Dst:             sha256
        - Src:             'src/iperf_auth.c:85,15'
          Dst:             fopen
        - Src:             'src/iperf_auth.c:89,12'
          Dst:             fgets
        - Src:             'src/iperf_auth.c:98,13'
          Dst:             strlen
        - Src:             'src/iperf_auth.c:98,33'
          Dst:             strchr
        - Src:             'src/iperf_auth.c:101,22'
          Dst:             strtok
        - Src:             'src/iperf_auth.c:102,22'
          Dst:             strtok
        - Src:             'src/iperf_auth.c:103,13'
          Dst:             strcmp
        - Src:             'src/iperf_auth.c:103,52'
          Dst:             strcmp
        - Src:             'src/iperf_auth.c:104,13'
          Dst:             fclose
        - Src:             'src/iperf_auth.c:108,5'
          Dst:             fclose
    - functionName:    sha256
      functionSourceFile: '/src/iperf/src/iperf_auth.c'
      linkageType:     InternalLinkage
      functionLinenumber: 56
      functionLinenumberEnd: 66
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         7
      ICount:          54
      EdgeCount:       8
      CyclomaticComplexity: 3
      functionsReached:
        - SHA256
        - snprintf
        - strlen
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'src/iperf_auth.c:59,44'
          Dst:             strlen
        - Src:             'src/iperf_auth.c:59,5'
          Dst:             SHA256
        - Src:             'src/iperf_auth.c:63,9'
          Dst:             snprintf
    - functionName:    fopen
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    fgets
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    strchr
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    strtok
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    strcmp
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    fclose
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    SHA256
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
...
